Bug 116330 - tcsh does not understand term=konsole
Summary: tcsh does not understand term=konsole
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: termcap   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Raszyk
QA Contact: Bill Huang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-20 03:55 UTC by Aleksey Nogin
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-13 07:00:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
konsole-termcap (1.22 KB, text/plain)
2006-01-13 09:05 UTC, Petr Raszyk
no flags Details

Description Aleksey Nogin 2004-02-20 03:55:02 UTC
If I set the term variable to "konsole", tcsh complains:

tcsh: No entry for terminal type "konsole"
tcsh: using dumb terminal settings.

The konsole is a valid terminal type and setting TERM=konsole was
suggested in bug 115448 comment #5 as a work-around for that bug, so
tcsh should not complain.

Comment 1 Bill Nottingham 2004-02-20 04:07:22 UTC
The konsole terminal definition is in ncurses' terminfo files, which
is used by ncurses-based apps.

It's not in /etc/termcap, though, which is used by the libtermcap tcsh
uses.


Comment 2 Aleksey Nogin 2004-11-29 16:42:57 UTC
Works OK in FC3.

Comment 3 Aleksey Nogin 2004-12-07 09:38:54 UTC
While this works correctly in FC3, it is still a problem in RHEL3

Comment 4 Petr Raszyk 2006-01-13 09:05:27 UTC
Created attachment 123152 [details]
konsole-termcap

We can add 'new entry' in /etc/termcap (RHEL-3)


Note You need to log in before you can comment on or make changes to this bug.